=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                shellcheck,
                shunit2,
                yard
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci
@@ -45,6 +45,7 @@
          libjs-bootstrap,
          libjs-jquery,
          libjs-jquery-flot,
+         moreutils,
          patchutils,
          ruby,
          ruby-activerecord,
@@ -57,8 +58,7 @@
          jq,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: moreutils,
-            ntp | time-daemon,
+Recommends: ntp | time-daemon
 Suggests: apt-cacher-ng,
 Description: continuous integration system for Debian
  debci will scan the Debian archive for packages that contain DEP-8 compliant
