=== debian/tests/control ===
Tests: ruby-test-suite test-suite
Depends: debci, shunit2, ruby-rspec (>= 2.14), rabbitmq-server, autopkgtest
Restrictions: allow-stderr

Tests: integration-test
Depends: debci, shunit2, rabbitmq-server
Restrictions: allow-stderr, isolation-container, needs-root, breaks-testbed

Tests: multiarch-integration-test
Depends: debci, shunit2, rabbitmq-server
Restrictions: allow-stderr, isolation-container, needs-root, breaks-testbed

Tests: backend-schroot
Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, schroot
Restrictions: allow-stderr, isolation-machine, needs-root

Tests: backend-lxc
Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, lxc, rsync, libvirt-clients, libvirt-daemon-system, iptables, ebtables, dnsmasq-base
Restrictions: allow-stderr, isolation-machine, needs-root

# vim: ft=debcontrol
