=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                ruby-activerecord,
                ruby-bunny,
                ruby-foreman,
+               ruby-rack-test,
                ruby-rspec (>= 2.14),
                ruby-sinatra,
                ruby-sinatra-contrib,
