=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                shellcheck,
                shunit2,
                yard
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci
