=== debian/control ===
--- 
+++ 
@@ -3,31 +3,38 @@
 Priority: optional
 Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>,
-Build-Depends: amqp-tools,
-               autopkgtest (>= 5.5~),
+Build-Depends: debhelper (>= 9.20160709),
+               amqp-tools,
+               autopkgtest (>= 5.5~) <!pkg.debci.runtime>,
+               bsdmainutils,
+               curl,
                dctrl-tools,
-               debhelper (>= 9.20160709),
                devscripts,
                fonts-font-awesome (>= 4.0.3~),
-               inotify-tools,
+               inotify-tools <!pkg.debci.runtime>,
                jq,
+               libjs-bootstrap,
+               libjs-jquery,
+               libjs-jquery-flot,
                moreutils,
                patchutils,
-               rabbitmq-server,
-               rerun,
+               rabbitmq-server <!pkg.debci.runtime>,
+               rerun <!pkg.debci.runtime>,
+               rsync,
                ruby,
                ruby-activerecord,
                ruby-bunny,
-               ruby-foreman,
-               ruby-rack-test,
-               ruby-rspec (>= 2.14),
+               ruby-foreman <!pkg.debci.runtime>,
+               ruby-minitar,
+               ruby-rack-test <!pkg.debci.runtime>,
+               ruby-rspec (>= 2.14) <!pkg.debci.runtime>,
                ruby-sinatra,
                ruby-sinatra-contrib,
-               ruby-sqlite3,
+               ruby-sqlite3 <!pkg.debci.runtime>,
                ruby-thor,
-               shellcheck,
-               shunit2,
-               yard
+               shellcheck <!pkg.debci.runtime>,
+               shunit2 <!pkg.debci.runtime>,
+               yard <!pkg.debci.runtime>,
 Standards-Version: 4.3.0
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
@@ -36,27 +43,10 @@
 Package: debci
 Architecture: all
 Depends: adduser,
-         amqp-tools,
-         bsdmainutils,
-         curl,
-         dctrl-tools,
          debootstrap,
-         devscripts,
-         fonts-font-awesome (>= 4.0.3~),
-         libjs-bootstrap,
-         libjs-jquery,
-         libjs-jquery-flot,
-         moreutils,
-         patchutils,
-         ruby,
-         ruby-activerecord,
-         ruby-bunny,
-         ruby-sinatra,
-         ruby-sinatra-contrib,
          ruby-sqlite3 | ruby-pg,
-         ruby-thor,
          sudo,
-         jq,
+         ${debci:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ntp | time-daemon
