## debci 2.6

=== debian/changelog ===
debci (2.6) unstable; urgency=medium

  * lxc: generate random container names
  * Debci::Job.import: validate package name
  * Move collector-only programs to debci-collector
  * Debci::AMQP: consolidate AMQP connection logic
  * test_worker: exclude existing processes from check for leftover processes
  * ui: user job list: show a reasonable number of pagination links
  * debci-collector: override "no ruby dep" from lintian
  * Bump Standards-Version to 4.4.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 17 Nov 2019 19:28:29 -0300

debci (2.5) unstable; urgency=medium

  * Debci::Status: extract duration_human to a module
  * Debci::Data::Import: ignore unknown fields
  * Makefile: add quick-check target to run robocop and rspec
  * Debci::Job: include readable duration in JSON output
  * spec_helper: add missing require
  * Debci::Test::Expired: short circuit to false
  * ui: job history: don't link to results of unfinished tests
  * self_service: redesign authentication
  * ui: self_service: use a configured session secret key
  * ui: self_service: display custom "auth failed" page
  * Debci::TestHandler.enqueue: make priority an argument
  * ui: job history: do only exact match on package names
  * Debci::SelfService: remove pointless check
  * ui: job history: accept * as wildcard for package names
  * Revert "Debci::Repository: sort "slow packages" by duration"

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 11 Nov 2019 11:06:23 -0300

debci (2.4) unstable; urgency=medium

  * ui: pending jobs: display requestor
  * Debci::Repository: sort "slow packages" by duration
  * ui: job history: sort by date with newest first
  * ui: job history: avoid extra params in pagination links
  * ui: job history: increase num of items per page
  * Debci::Status: extract #expired? into a module
  * Debci::HTML: extract #filesize into Debci::HTMLHelpers
  * ui: job history: link to test results

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 15 Oct 2019 23:21:46 -0300

debci (2.3) unstable; urgency=medium

  * Debci::Job: extract method to produce package history
  * Debci::Job.history: omit migration tests
  * debci job latest-json: reuse Debci::Job.history
  * debci.install: install config.ru
  * config.ru: only serve static files in development mode
  * ui: history: fix reading log and artifacts size
  * ui: history: when linking to requestor, filter to match current page
  * Debci::HTML: extract method for status icons into a helper
  * ui: user job history: display test status

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 13 Oct 2019 13:14:59 -0300

debci (2.2.2) unstable; urgency=medium

  [ Paul Gevers ]
  * Fix debci-setup-chdist to use the right interface of
    debci-generate-apt-sources
  * debci-status: make robust for empty result entries

  [ Antonio Terceiro ]
  * Debci::HTML: use ERB builtin HTML escaping
  * Debci::Status: skip unescaping trigger
  * ui: always escape triggers
  * debci-status: skip empty entries
  * debci job latest-json: ignore pending jobs

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 01 Oct 2019 12:00:25 -0300

debci (2.2.1) unstable; urgency=medium

  * debci-autopkgtest: fix a regression when reading an undefined variable
    - Revert "debci-autopkgtest: skip --apt-upgrade on null backend"
    - Revert "lxc, schroot: drop explicit --apt-upgrade"
    - Revert "debci-autopkgtest: always pass --apt-upgrade"
    - qemu: pass --apt-upgrade to autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 24 Sep 2019 13:53:33 -0700

debci (2.2) experimental; urgency=medium

  [ Antonio Terceiro ]
  * Debci::HTML.platform_specific_issues: don't crash on date-less statuses
  * Update .rubocop_todo.yml
  * Debci::Status: read date from `created_at` as fallback
  * debci-generate-html: add option to regenerate all packages
  * Debci::Status: fix Ruby code style warnings
  * debci-setup-chdist: always updates APT configuration
  * debci-setup-chdist: workaround absence of buildd-stable-proposed-updates
  * UI: link to bug reports for source package
  * docs/HACKING.md: add some contribution guidelines
  * API doc: drop unused stylesheet inside <noscript>
  * API doc: display links to each API endpoint
  * lxc, schroot: drop explicit --apt-upgrade
  * Update .rubocop_todo.yml
  * rubocop: add proper exclusions
  * debci-worker@.service: make main service depend on individual workers
  * Don't log AMPQ password when there is one
  * .gitignore: add /config/blacklist
  * debci-generate-html: fix access to blacklisted packages
  * debci-autopkgtest: skip --apt-upgrade on null backend
  * test_helper: set additional environment variables for rabbitmq
  * debci job: avoid unnecessary parse/dump roundtrip
  * spec_helper: accept database url from environment
  * Also run Ruby tests against PostgreSQL
  * Debci::Job: increase version field to 256 characters
  * Bump Standards-Version to 4.4.0; no changes needed
  * debian/control: depend on ruby-sqlite3

  [ BhavySingh ]
  * backends/fake/debci-list-dependencies: fix Ruby code style
  * bin/debci-api: fix Ruby code style
  * bin/debci-enqueue: fix Ruby code style
  * bin/debci-job: fix Ruby code style
  * lib/debci/blacklist.rb: fix Ruby code style
  * lib/debci/db/migrations/201712290143_create_jobs.rb: fix Ruby code style
  * lib/debci/db.rb: fix Ruby code style
  * lib/debci/package.rb: fix Ruby code style
  * lib/debci.rb: fix Ruby code style
  * bin/debci-generate-history: fix Ruby code style issues
  * spec/debci/api_spec.rb: fix Ruby code style issues
  * spec/debci/data_spec.rb: fix Ruby code style issues
  * spec/debci/graph_spec.rb: fix Ruby code style
  * spec/debci/job_spec.rb: fix Ruby code style issues
  * spec/debci/package_spec.rb: fix Ruby code style issues
  * spec/debci/repository_spec.rb: fix Ruby code style issues

  [ Candy Tsai ]
  * edit Vagrantfile to setup development environment
  * api: extract test job creation
  * api: refactor authentication code

