## debci 2.8

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all: $(LINKS) $(MANPAGES)
 
-.PHONY: spec check test
+.PHONY: spec check test quick-check
 
 checkdeps:
 	@if which dpkg-checkbuilddeps >/dev/null && which grep-dctrl >/dev/null; then dpkg-checkbuilddeps -d "$$(grep-dctrl -n -s Depends . debian/control | grep -v '\$$')"; fi
@@ -17,6 +17,11 @@
 spec:
 	@./test/banner 'Ruby unit tests'
 	rspec --color
+
+spec-postgresql:
+	@./test/banner 'Ruby unit tests (PostgreSQL)'
+	pg_virtualenv sh -c 'DATABASE_URL=postgresql:///$$PGDATABASE rspec --color'
+
 
 functional-tests:
 	@./test/banner 'Functional tests'
@@ -43,9 +48,9 @@
 	@echo "Debian packages available in tmp/deb/!"
 
 ruby-console:
-	irb -Ilib -rdebci
+	./bin/debci shell
 
-check: all check-ui-and-docs spec functional-tests
+check: all check-ui-and-docs check-ruby-style spec spec-postgresql functional-tests
 
 check-ui-and-docs: all
 	test -d public/doc
@@ -54,7 +59,12 @@
 	test -L public/jquery.js -a -f public/jquery.js
 	test -L public/bootstrap
 
+check-ruby-style:
+	if type rubocop; then rubocop -c .rubocop_todo.yml; fi
+
 test: check
+
+quick-check: check-ruby-style spec
 
 doc: public/doc/index.html public/doc/architecture.svg
