=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
                bsdmainutils,
                curl,
                dctrl-tools,
+               debian-archive-keyring,
                devscripts,
+               distro-info,
                fonts-font-awesome (>= 4.0.3~),
                inotify-tools <!pkg.debci.runtime>,
                jq,
@@ -18,6 +20,7 @@
                libjs-jquery-flot,
                moreutils,
                patchutils,
+               postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
                rerun <!pkg.debci.runtime>,
                rsync,
@@ -25,17 +28,18 @@
                ruby-activerecord,
                ruby-bunny,
                ruby-foreman <!pkg.debci.runtime>,
-               ruby-minitar,
+               ruby-pg,
                ruby-rack-test <!pkg.debci.runtime>,
                ruby-rspec (>= 2.14) <!pkg.debci.runtime>,
                ruby-sinatra,
                ruby-sinatra-contrib,
-               ruby-sqlite3 <!pkg.debci.runtime>,
+               ruby-kaminari-activerecord,
+               ruby-sqlite3,
                ruby-thor,
                shellcheck <!pkg.debci.runtime>,
                shunit2 <!pkg.debci.runtime>,
                yard <!pkg.debci.runtime>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci
@@ -44,6 +48,7 @@
 Architecture: all
 Depends: adduser,
          debootstrap,
+         netcat-openbsd | netcat-traditional,
          ruby-sqlite3 | ruby-pg,
          sudo,
          ${debci:Depends},
@@ -91,6 +96,8 @@
 Depends: debci (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: debci (<< 2.6~)
+Replaces: debci (<< 2.6~)
 Recommends: rabbitmq-server,
 Description: continuous integration system for Debian (collector daemon)
  debci will scan the Debian archive for packages that contain DEP-8 compliant
