=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Run only Ruby tests during build
	make spec
endif

override_dh_gencontrol:
	debian/gen-deps >> debian/debci.substvars
	dh_gencontrol

override_dh_installinit:
	@true

override_dh_install:
	dh_install
	debian/sanity-check
