## debci 2.13

=== debian/changelog ===
debci (2.13) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add a proper user model
  * Debci::HTMLHelpers: fix parsing invalid pinnings
  * ui: switch to escaped HTML by default (Closes: #962862)
  * Set default external encoding to UTF-8

  [ Milos Knezevic ]
  * Fix missing build dependency (debootstrap)
  * Fix issue with init script exiting prior creating dev.conf
  * Fix lintian 'spelling-error-in-changelog' warning
  * Improve slight inconsistencies in docs/HACKING.md

  [ Utkarsh Gupta ]
  * Fix broken link for feed
  * Show package details on the retry page

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 28 Jun 2020 09:36:14 -0300

debci (2.12.2) unstable; urgency=medium

  * ui: fix table header in package history page
  * Debci::Collector: update only given suite/arch
  * Drop status from package list (prefix) pages.
    Unfortunately it's too expensive to produce those pages at the moment,
    so we can't afford to rebuild them on every new job.
  * Debci.log: flush STDOUT on each message
  * Debci::HTML: avoid extra queries
  * Debci::Package.history: fix ordering
  * Debci::Job: fix definition of "previous" job
  * job_spec: fix handling of dates to not fail in the future

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 15 May 2020 20:36:01 -0300

debci (2.12.1) unstable; urgency=medium

  * Debci::HTML: fix creation of global status.json
  * migrations: fix creation of Debci::PackageStatus
  * Debci::HTML: fix blacklist
  * Debci::Job.receive: handle repeating previously interruped receivements

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 May 2020 14:24:48 -0300

debci (2.12) unstable; urgency=medium

  * Debci::Job.receive: support jobs with no version
  * Debci::HTML: fix usage with broken symlinks
  * Debci::Collector: handle all types of errors
  * html: drop global feed
  * Debci::HTML: use only data from the database
  * self service/jobs: drop column for "debci log"
  * ui: display migration tests in the package history page

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 May 2020 21:55:42 -0300

debci (2.11) unstable; urgency=medium

  * Debci::Test::Duration.duration_human: handle zero
  * Drop links to "debci log" files
  * debci-test: add buildd suite for migration tests
  * Reformulate generation of static content
  - Debci::Job: receive autopkgtest results
      - Reformulate HTML generation
      - Add new CLI `debci html`; deprecate `debci generate-html`
      - Deprecate debci-generate-index; individual package pages are now
        updated right away when results for that package arrive;
        debci-update now only updates global pages (home page, status etc)
      - move all the real logic inside Debci::HTML
      - individual .json result files and "debci log" files are not longer
        produced.
      - debci-collector has been rewritten in Ruby, and will now receive
        results from the AMQP queue and directly import them instead of saving
        them to autopkgtest-incoming for later processing.
        - Legacy jobs in autopkgtest-incoming/ are processed o upgrade.
      - The data/status/ files are now simplified. For history, we keep a single
        status file per day. Existing data is migrated on upgrade.
    This set of changes provides a good performance enhancement. For
    example, running the full integration test suite on my machine now takes
    240 seconds instead of > 300
  * Drop pointless ${shlibs:Depends} from package dependencies
  * Makefile: fix parallel builds
  * Bump debhelper compatibility level to 12
    - Drop `--with systemd`, now handled by dh_installsystemd
  * Add Rules-Requires-Root: no
  * Replace dpkg-maintscript-helper calls in maintainer scripts with
    debian/debci.maintscript

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 19 Apr 2020 16:24:52 -0300

debci (2.10) unstable; urgency=medium

  [ Abhishek Kumar ]
  * [Status]: Fix inconsistent results produced
  * [Status]: Filter blacklisted and old statuses

  [ Antonio Terceiro ]
  * Debci::DB: support ActiveRecord 6 and drop support for < 5.2
  * Add more indexes to the jobs table
  * debci-expire: use database and look only for expired jobs
  * Debci::Status: remove duplicate implementation of expired?

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 04 Apr 2020 17:53:25 -0300

debci (2.9) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Detect Kali in backends/lxc/create-testbed
  * api: allow passing an extra, optional priority parameter to enqueue jobs
    with

  [ Antonio Terceiro ]
  * debci-test: optimize storage of logs
  * Add some tests for debci-test
  * lib/environment.sh: accept amqp SSL options separately
  * Debci::AMQP: add TLS support
  * Remove all remaining mentions of $ADTTMP in favor of $AUTOPKGTEST_TMP
  * debci-autopkgtest: avoid trying to write to unexisting directory

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 Mar 2020 11:06:40 -0300
