=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>,
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper-compat (= 12),
+               debootstrap,
                amqp-tools,
                autopkgtest (>= 5.5~) <!pkg.debci.runtime>,
                bsdmainutils,
@@ -19,14 +20,17 @@
                libjs-jquery,
                libjs-jquery-flot,
                moreutils,
+               parallel,
                patchutils,
                postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
                rerun <!pkg.debci.runtime>,
                rsync,
                ruby,
-               ruby-activerecord,
+               ruby-activerecord (>= 2:5.2),
                ruby-bunny,
+               ruby-database-cleaner <!pkg.debci.runtime>,
+               ruby-erubi,
                ruby-foreman <!pkg.debci.runtime>,
                ruby-pg,
                ruby-rack-test <!pkg.debci.runtime>,
@@ -43,6 +47,7 @@
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci
+Rules-Requires-Root: no
 
 Package: debci
 Architecture: all
@@ -53,7 +58,6 @@
          sudo,
          ${debci:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
 Recommends: ntp | time-daemon
 Suggests: apt-cacher-ng,
 Description: continuous integration system for Debian
@@ -76,7 +80,6 @@
          autopkgtest (>= 5.5~),
          lxc | schroot,
          ${misc:Depends},
-         ${shlibs:Depends}
 Description: continuous integration system for Debian (worker daemon)
  debci will scan the Debian archive for packages that contain DEP-8 compliant
  test suites, and run those test suites whenever a new version of the package,
@@ -95,7 +98,6 @@
 Architecture: all
 Depends: debci (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
 Breaks: debci (<< 2.6~)
 Replaces: debci (<< 2.6~)
 Recommends: rabbitmq-server,
