## debci 2.15.2

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 checkdeps:
 	@if which dpkg-checkbuilddeps >/dev/null && which grep-dctrl >/dev/null; then dpkg-checkbuilddeps -d "$$(grep-dctrl -n -s Depends . debian/control | grep -v '\$$')"; fi
+
+export COVERAGE = no
 
 spec:
 	@./test/banner 'Ruby unit tests'
@@ -60,7 +62,7 @@
 	test -L public/bootstrap
 
 check-ruby-style:
-	if type rubocop; then rubocop -c .rubocop_todo.yml; fi
+	if type rubocop; then rubocop; fi
 
 test: check
 
@@ -73,8 +75,11 @@
 	yardoc --markup markdown --output-dir public/doc --main README.md lib - $^
 	ln -sf ../../jquery.js public/doc/js/jquery.js
 
-public/doc/architecture.svg: docs/architecture.svg
+public/doc/architecture.svg: docs/architecture.svg public/doc
 	cp docs/architecture.svg public/doc/
+
+public/doc:
+	mkdir -p $@
 
 $(MANPAGES): man/%.1: bin/% man
 	pod2man --center "" --release "" --section=1 --utf8 $< $@
