=== debian/changelog ===
debci (2.15.2) unstable; urgency=medium

  * autopkgtest: mark test-suite as flaky

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 22 May 2021 07:30:43 -0300
