=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debootstrap,
                amqp-tools,
                autopkgtest (>= 5.5~) <!pkg.debci.runtime>,
-               bsdmainutils,
                curl,
                dctrl-tools,
                debian-archive-keyring,
@@ -25,6 +24,7 @@
                postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
                rerun <!pkg.debci.runtime>,
+               retry,
                rsync,
                ruby,
                ruby-activerecord (>= 2:5.2),
