## debci 3.4

=== debian/changelog ===
debci (3.4) unstable; urgency=medium

  [ Pavit Kaur ]
  * Stop adding buildd APT entries by default
  * jobs: normalize worker field

  [ Olivia Cameron ]
  * Update docs/HACKING.md

  [ Shivam Singhal ]
  * Fix Shellcheck errors for bin/debci-autopkgtest

  [ Abiola Ajadi ]
  * Redirect after authentication to the page the user was trying to access
  * self-service test form: remember form values on failed submissions
  * packages: display pending jobs
  * web frontend: centralize job listing

  [ Antonio Terceiro ]
  * Drop debci-batch
  * spec: avoid monkeypatching core File methods
  * spec_helper: fix ambiguous calls in SimpleCov setup
  * Drop usage of deprecated method File.exists?
  * Debci::Job: drop unused local variable
  * Debci::SelfDocAPI: fix undefined variable warning
  * html: avoid warnings on undefined variables
  * self_service: fix redirect after login
  * frontend: respond with 404 on the history page of a non-existing package
  * functional tests: drop test_basics
  * collector_spec: avoid writing to real data directory
  * tools/workers.sh: revert back to moreutils parallel

  [ Marco M. F. De Santis ]
  * Update MAINTAINERS.md

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 23 Jan 2022 13:50:40 -0300

debci (3.3) unstable; urgency=medium

  [ Pavit Kaur ]
  * Add a user menu in the self service interface
  * Change extra-apt-sources into a fixed list

  [ Renan Luz ]
  * rubocop: clean up empty exclude lists

  [ Antonio Terceiro ]
  * override lintian tag about docs outside of /usr/share/doc
  * .gitlab-ci.yml: disable lintian for now
  * self_service: avoid duplicating usernames in development
  * debci-test: avoid duplicating apt sources
  * tools: break rerun invocations into multiple lines
  * tools: give rerun an application name explicitly
  * docs: update architecture diagram

  [ Paul Gevers ]
  * robots.txt: add /user/ as robots have nothing to find there

  [ Peter Pentchev ]
  * backends/schroot: do not break on undefined variables

  [ Shivam Singhal ]
  * Drop the link to data from the top menu
  * By default keep check the all architecture on request test page
  * Add package url to packages on Self-Service Job History Page

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 01 Nov 2021 10:47:23 -0300

debci (3.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * login page: improve appearance of the buttons
  * update-worker: update for all configured architectures
  * backends/fake: add create-testbed script
  * setup: always assume backends can create testbeds
  * setup: improve logging
  * debci-test: keep end of the log (Closes: #982598)
  * status charts: adapt time series for flot 4.x

  [ Pavit Kaur ]
  * Submit private jobs via API
  * Submit private jobs via Self Service
  * Add extra-apt-sources in API
  * Add extra-apt-sources via Self Service
  * Validate extra apt sources
  * Publish private tests via API
  * Update Self-Service Job History Page
  * Add Publish and Retry in Self-Service

  [ Paul Gevers ]
  * Raise default priority for scheduling jobs from 0/1 to 5

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 16 Aug 2021 10:16:18 -0300

debci (3.1) experimental; urgency=medium

  [ Pavit Kaur ]
  * Change Retry link to point to the self service interface
  * Migrate to logins using Salsa
  * Update the jobs table to add real reference to users table
  * Add private jobs flag to jobs

  [ Antonio Terceiro ]
  * Debci::Job: add index for field package_id
  * Debci::Job: index requestor_id

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 27 Jun 2021 08:39:41 -0300

debci (3.0.1) experimental; urgency=medium

  * backends/lxc/create-testbed: guard against undefined variable

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 30 May 2021 11:14:12 -0300

debci (3.0) experimental; urgency=medium

  [ Antonio Terceiro ]
  * backends: install ca-certificates
  * backends: qemu: don't make `debci` a system user (Closes: #983156)
  * Revert "backends: qemu: don't make `debci` a system user"
  * backends: qemu: translate proxy inside VM back
  * backends: qemu: replace adduser with useradd
  * Revamp shell best practices checks
  * Run codespell on `make test` and gitlab CI
  * doc: INSTALL.md: point to HACKING.md for development environments
  * debci-autopkgtest: setup APT retries
  * self service: fix example JSON file
  * codespell: ignore tags file
  * self_service: don't hide exceptions
  * Debci::TestHandler: handle missing arch without crashing
  * Debci::HTMLHelpers: display pinned packages correctly
  * Debci::App: extract get_page_range from Debci::SelfService
  * self_service_history: extract pagination code
  * Move all kaminari requires do debci/db
  * tools/check-shell-scripts.sh: don't finish on the first failure
  * spec_helper: resist simplecov not being installed
  * Debci::Package#backend: make test independent of local configuration
  * Debci::Expiration: add basic tests
  * spec_helper: bump required test coverage
  * docs/HACKING.md: clarify the setup methods

  [ daemon1024 ]
  * Fix Style/ConditionalAssignment violations

  [ Sergio de Almeida Cipriano Junior ]
  * Fix Style/GlovalVars issue
  * Rename blacklist to rejectlist

  [ Paul Gevers ]
  * docs/MAINTAINERS.md: update paragraph about Testsuite: header

  [ Ceda EI ]
  * backends/lxc/create-testbed: Fix shellcheck issues
  * backends/fake/test-package: Fix style violation AndOr
  * Fix incorrect key in self service documentation (archs -> arch)
  * Update Vagrantfile from contrib-buster64 to buster64
  * Replace proxy detection using netcat with auto-apt-proxy
  * Add /api/v1/reject_list to access reject list via an API
  * Update Vagrantfile to debian/bullseye64
  * Fix &mdash; being escaped for Trigger on retry page
  * Add warning on retry page when there are pending jobs

  [ Candy Tsai ]
  * frontend: implement server-side package search

  [ Pavit Kaur ]
  * rename whitelist to seed_list
  * Make value of slow_tests configurable

