=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
                libjs-jquery,
                libjs-jquery-flot,
                moreutils,
-               parallel,
                patchutils,
                postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
@@ -32,6 +31,7 @@
                ruby-database-cleaner <!pkg.debci.runtime>,
                ruby-erubi,
                ruby-foreman <!pkg.debci.runtime>,
+               ruby-omniauth-gitlab,
                ruby-pg,
                ruby-rack-test <!pkg.debci.runtime>,
                ruby-rspec (>= 2.14) <!pkg.debci.runtime>,
@@ -53,13 +53,12 @@
 Architecture: all
 Depends: adduser,
          debootstrap,
-         netcat-openbsd | netcat-traditional,
          ruby-sqlite3 | ruby-pg,
          sudo,
          ${debci:Depends},
          ${misc:Depends},
 Recommends: ntp | time-daemon
-Suggests: apt-cacher-ng,
+Suggests: apt-cacher-ng, auto-apt-proxy
 Description: continuous integration system for Debian
  debci will scan the Debian archive for packages that contain DEP-8 compliant
  test suites, and run those test suites whenever a new version of the package,
