=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
-Tests: ruby-test-suite test-suite
+Tests: ruby-test-suite
 Depends: debci-collector, shunit2, ruby-database-cleaner, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
 Restrictions: allow-stderr
+
+Tests: test-suite
+Depends: debci-collector, shunit2, ruby-database-cleaner, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
+Restrictions: allow-stderr, flaky
 
 Tests: integration-test
 Depends: debci, shunit2, rabbitmq-server
